# Задача 8. Развлечение
# N палочек выставили в один ряд, пронумеровав их слева направо числами от 1 до N. Затем по этому ряду бросили K камней,
# при этом i-й камень сбил все палки с номерами от L_i до R_i включительно. Определите, какие палки остались стоять на месте.
# Напишите программу, которая получает на вход количество палок N и количество бросков K. Далее идёт K пар чисел L_i, R_i, при этом 1≤ L_i≤ R_i≤ N.
# Программа должна вывести последовательность из N символов, где j-й символ есть “I”, если j-я палка осталась стоять, или “.”, если j-я палка была сбита.
# Пример:
# Кол-во палок: 10
# Кол-во бросков: 3
# Бросок 1. Сбиты палки с номера 8
# по номер 10
# Бросок 2. Сбиты палки с номера 2
# по номер 5
# Бросок 3. Сбиты палки с номера 3
# по номер 6
# Результат: I.....I...

pins = ['|' for _ in range(1, int(input('К-во палок: '))+1)]
num_throw = int(input('К-во бросков: '))

for i_throw in range(1, num_throw+1):
    while 1:
        print('Бросок', i_throw, 'Сбиты палки с номера ', end='')
        pin_fst = int(input())
        pin_snd = int(input('по номер '))
        if 1 <= pin_fst <= pin_snd <= len(pins)+1:
            break
        else:
            print('Ошибка ввода')
    for i_pin in range(pin_fst-1, pin_snd):
        pins[i_pin] = '.'

print('\nРезультат: ', end='')
for i_pin in pins:
    print(i_pin, end='')
